﻿@page
@model Vinoramix.Web.Wines.CreateModel

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Wine</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Wine.Name" class="control-label"></label>
                <input asp-for="Wine.Name" class="form-control" />
                <span asp-validation-for="Wine.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Wine.Description" class="control-label"></label>
                <input asp-for="Wine.Description" class="form-control" />
                <span asp-validation-for="Wine.Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Wine.Vintage" class="control-label"></label>
                <input asp-for="Wine.Vintage" class="form-control" />
                <span asp-validation-for="Wine.Vintage" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Wine.GrapeVariety" class="control-label"></label>
                <input asp-for="Wine.GrapeVariety" class="form-control" />
                <span asp-validation-for="Wine.GrapeVariety" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Wine.VineyardName" class="control-label"></label>
                <input asp-for="Wine.VineyardName" class="form-control" />
                <span asp-validation-for="Wine.VineyardName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Wine.Price" class="control-label"></label>
                <input asp-for="Wine.Price" class="form-control" />
                <span asp-validation-for="Wine.Price" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
